CMSIS-DSP: arm_fir_instance_q31 Struct Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_fir_instance_q31 Struct Reference

Instance structure for the Q31 FIR filter.

## Data Fields
uint16_t | numTaps
q31_t * | pState
q31_t * | pCoeffs

## Field Documentation

uint16_t arm_fir_instance_q31::numTaps

number of filter coefficients in the filter.

Referenced by arm_fir_fast_q31(), arm_fir_init_q31(), and arm_fir_q31().

q31_t* arm_fir_instance_q31::pCoeffs

points to the coefficient array. The array is of length numTaps.

Referenced by arm_fir_fast_q31(), arm_fir_init_q31(), and arm_fir_q31().

q31_t* arm_fir_instance_q31::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Referenced by arm_fir_fast_q31(), arm_fir_init_q31(), and arm_fir_q31().